<?php

echo '<p><b>Mise à jour de la base de données <i class="fas fa-angle-double-right"></i> Version 0.58</b></p>
<ul class="maxwidth">';

$directory = "./img/uploads/" . $prefix;
if (!is_dir($directory)) {
    mkdir($directory, 0705, true);
}
echo '<li>Création du dossier spécifique de gestion des images ajoutées dans les textes de séquences.</li>';

// Création de la table _tchat
mysqli_query($bdd,"CREATE TABLE IF NOT EXISTS ".$base.".".$prefix."_tchat (tchat_id INT ( 11 ) NOT NULL AUTO_INCREMENT , sender_id INT ( 11 ) NOT NULL, receiver_id INT ( 11 ) NOT NULL, message TEXT NOT NULL, created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP, is_read INT ( 11 ) NOT NULL, PRIMARY KEY ( tchat_id ) ) ENGINE = MYISAM DEFAULT CHARSET = utf8 COLLATE = utf8_unicode_ci;");
echo '<li>Création de la table _tchat.</li>';

// Création de la table _agenda
mysqli_query($bdd,"CREATE TABLE IF NOT EXISTS ".$base.".".$prefix."_agenda (agenda_id INT ( 11 ) NOT NULL AUTO_INCREMENT , creator INT ( 11 ) NOT NULL, users VARCHAR (100) DEFAULT NULL, espaces VARCHAR (100) DEFAULT NULL , titre VARCHAR ( 200 ) NOT NULL, texte TEXT DEFAULT NULL, notes TEXT DEFAULT NULL, date1 DATE NOT NULL, date2 DATE DEFAULT NULL , options VARCHAR ( 200 ) NOT NULL, PRIMARY KEY ( agenda_id ), KEY idx_creator (creator) ) ENGINE = MYISAM DEFAULT CHARSET = utf8 COLLATE = utf8_unicode_ci;");
echo '<li>Création de la table _agenda.</li>';

$adminc = mysqli_query($bdd,"SELECT id, droits FROM ".$prefix."_user WHERE droits ='222222' ORDER BY id ASC LIMIT 1");
if(mysqli_num_rows($adminc)>0) {
    $creatorc = mysqli_fetch_assoc($adminc);
    $creator = $creatorc['id'];
}
else {
    $creator = '0';
}
$msgs_old = mysqli_query($bdd,"SELECT * FROM ".$prefix."_calendrier WHERE info != ''");
$mstrans = 0;
foreach($msgs_old as $msgs_new) {
    mysqli_query($bdd,"INSERT INTO ".$prefix."_agenda (agenda_id, creator, users, espaces, titre, texte, notes, date1, date2, options) VALUES ('', '$creator', '$creator', '0', '".$msgs_new['info']."','','','".$msgs_new['date']."', '', '0;0;1;0;0;0')");
        $mstrans++;
}
echo '<li>Transfert des messages de journée vers l\'agenda ('.$mstrans.').</li>';

// Option de n'inscrire que des réservations (désactivée par défaut)
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_onlyresas'"))==0) {
    mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_onlyresas', '0', 'Option de n\'inscrire que des réservations.')");
}
echo '<li>Option de n\'inscrire que des réservations (désactivée par défaut).</li>';

// Option de message de validation d'inscription
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_validmes'"))==0) {
    mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_validmes', '0', 'Option de message de validation d\'inscription.')");
}
echo '<li>Option de message de validation d\'inscription (désactivée par défaut).</li>';

// Option de message de validation d'inscription
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_codeonly'"))==0) {
    mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_codeonly', '0', 'Option d\'inscription par code uniquement.')");
}
echo '<li>Option d\'inscription par code uniquement (désactivée par défaut).</li>';

// Affichage du nombre de réservations sur l''EDT.
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_resvisuedt'"))==0) {
    mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_resvisuedt', '0', 'Affichage du nombre de réservations sur l''EDT.')");
}
echo '<li>Option d\'affichage du nombre de réservations sur l\'EDT (désactivée par défaut).</li>';

// Option de gestion des temps horaires
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'hor_temps'"))==0) {
    mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'hor_temps', 'M;A;P;R', 'Gestion des temps horaires.')");
}
echo '<li>Gestion des temps horaires (M;A;P;R par défaut).</li>';

// Visualisation dans le compte élève des évaluations et séquences
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_res_seqsvisu'"))==0) {
    mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'freq_res_seqsvisu', '0', 'Visualisation dans le compte élève des évaluations et séquences.')");
}
echo '<li>Option de visualisation dans le compte élève des évaluations et séquences (désactivée par défaut).</li>';

// Ajout d'une colonne pour le statut des réservations
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freqres ADD COLUMN statut INT ( 11 ) NOT NULL");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freqres ADD COLUMN division VARCHAR ( 200 ) DEFAULT NULL");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freqres ADD COLUMN sexe CHAR ( 1 ) DEFAULT NULL");
$sql = "ALTER TABLE ".$prefix."_freqres ADD COLUMN code_activ VARCHAR(4) DEFAULT NULL";
if (!mysqli_query($bdd, $sql)) {
    echo "Erreur SQL : " . mysqli_error($bdd);
}
mysqli_query($bdd,"UPDATE ".$prefix."_freqres SET statut = '0'");
echo '<li>Ajouts de statut, division et sexe dans la table _freqres.</li>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.58' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.58.</li></ul>';
?>